Subject: RE: Home Extension Service was Re: [Sip] Multiple 200 OKs for an INVITE

From: [email-masked]
Date: Fri, 1 Mar 2002 09:08:37 -0500

From:  Tom Gray@MITEL on 03/01/2002 09:08 AM

Thanks for the pointer. Looking at the call package draft show the handling of
the home extension case. The specific contingency of multiple 200 OKs does not
seem to have been considered in that case but the techniques described there do
seem capable of handling that situation. I suppose that that contingency isn't
directly germane to the call package draft but it is particularly important in
any future description of this service. I think that this shows that the
situation of baseline SIP phones and multiple 200 OKs is not as straightforward
as it seems. it looks as if even very cheap SIP phones are going to have to be
able handle subscribes and local or network conference services for a
significant number of parties. This puts a different light on the matter of just
sending ACK/BYE in the case of multiple 200 OKs.

Alan Johnston <[email-masked]> on 03/01/2002 08:48:39 AM

To:   Tom Gray/Kan/Mitel@Mitel, "'Bob Penfield'" <[email-masked]>
cc:   "'Mark Taylor'" <[email-masked]>, "'SIP'" <[email-masked]>

Subject:  RE: Home Extension Service was Re: [Sip] Multiple 200 OKs for an
      INVITE

Tom,

You are correct - the home extension (sometimes called single line
extension) is not yet in the Service Examples I-D.  This is because not
all the tools needed to do so are SIP WG items - something that will
hopefully change shortly.

In the meantime, take a look at Section 7.2 of:

http://search.ietf.org/internet-drafts/draft-rosenberg-sip-call-package-
00.txt

For one possible approach.

Thanks,
Alan Johnston
WorldCom
sip:[email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Friday, March 01, 2002 7:33 AM
> To: Bob Penfield
> Cc: Mark Taylor; SIP
> Subject: Home Extension Service was Re: [Sip] Multiple 200
> OKs for an INVITE
>
>
>
>
> From:  Tom Gray@MITEL on 03/01/2002 08:33 AM
>
> The scenario pointed out with multiple 200 OKs is also
> pertinent for a home extension service.  Have the call flows
> for this service been created, I find in the service example
> draft a mention that they have not. It also raises questions
> about who will supply and pay for a conference service to a
> home extension. Callers would be hesitant to pay for a
> conference connection that was of benefit only to the called party.
>
>
>
>
>
> "Bob Penfield" <[email-masked]> on 02/28/2002 12:09:32 PM
>
> To:   "Mark Taylor" <[email-masked]>, "SIP" <[email-masked]>
> cc:    (bcc: Tom Gray/Kan/Mitel)
>
> Subject:  Re: [Sip] Multiple 200 OKs for an INVITE
>
>
>
>
> ----- Original Message -----
> From: "Mark Taylor" <[email-masked]>
>
> >
> > This may be a silly question but multiple INVITES are
> > sent out which cause telephones to ring. Two of these
> telephones are
> > answered by human beings at the same time and send a 200 OK. One of
> > these telephones is connected to the voice path but the other
> > experiences an immediate hang up.
> >
> > Isn't this extremely rude and will cause major
> > emabarassment to the caller since his name and
> > possibly picture have been dispayed on the receiving
> > device. It could also be considered a form of criminal
> harrassment to
> > call and imediately hang up on answer.
>
> I think it is a rather common occurance that you pick up a
> phone and say hello and noone is there because they decided
> the call was a mistake or got tired of waiting for it to
> answer. It happens to me quite often, particularly if I don't
> pick up for 3 or 4 rings.
>
> I should also point out that proxies are required to CANCEL
> the other branches when one of them answers. Therefore, the
> other unanswered phones would likely stop ringing with a
> second or two.
>
> You might consider it rude, but the reason that more than one
> phone rang is because a user wanted all those phones to ring
> when he/she got called. The theory being that the user would
> answer the phone he/she is next to and there would be noone
> next to the other devices. However, some polite person might
> decide they want to answer the user's unattended phone for them.
>
> >
> > It should be noted that for calls to human beings as
> > oposed to machines that all end points that send a
> > 200K must be conferenced into the connection.
>
> This is not always possible, particularly on a small device
> with limited resources.
>
> cheers,
> (-:bob
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current
> sip Use [email-masked] for new developments on the
> application of sip
>
>
>
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current
> sip Use [email-masked] for new developments on the
> application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Henry Sinnreich <[email-masked]>
Date: Fri, 01 Mar 2002 10:53:05 -0600

Tom,

> it looks as if even very cheap 
> SIP phones are going to have to be able handle subscribes and 
> local or network conference services for a significant number 
> of parties.

Please see also the three new drafts have been submitted on SIP devices
and can be retrieved here until they will be available from the IETF
archive. Let us know what may have been missed.

http://www.pingtel.com/docs/draft-sinnreich-sipping-device-requirements-
00.txt

                   SIP Telephony Device Requirements

Abstract

   The SIP Telephony Device Requirements in this document are aimed to
   enable users to procure SIP phones from various vendors and install
   them using a configuration process over the network, though still
   allowing manual configuration data input if desired.  SIP telephony
   devices are also required to be updated up automatically, without the
   intervention of the end user.  The requirements are aimed to allow
   service providers to support large numbers of SIP telephony devices
   from different vendors and SHOULD be used as a checklist for
   developers of SIP phones.

   SIP telephony devices may support basic telephony as well as advanced
   services such as PBX and Centrex-like telephony, third party call
   control, presence based services, roaming and other applications.
   The requirements aim to insure multi-vendor interoperability over the
   Internet and in private IP networks for such services.

http://www.pingtel.com/docs/draft-stredicke-sipping-ep-config-00.txt

               SIP End Point Configuration Data Format

Abstract 
    
   Mass deployment of SIP compliant devices requires a simple mechanism 
   for configuring and maintaining them. For the economical success of 
   SIP based devices on a large scale, a platform independent mechanism 
   for finding and exchanging the required information is vital. The 
   goal of this draft is to reduce the amount of effort required for 
   administrators to provision devices. This draft focuses on defining 
   a common data set to configure SIP end points. The mechanism for 
   providing and maintaining the configuration data to the end point is 
   defined elsewhere [7]. 
    
   This Internet draft is a sub-package to SIP-Specific Event 
   Notification [2].  

               A Framework for SIP User Agent Configuration

http://www.ietf.org/internet-drafts/draft-petrie-sip-config-framework-01
.txt

Abstract
   This document defines the application of a set of protocols for
   configuring a SIP user agent.  The SIP user agent must discover how
   and from where to retrieve its initial configuration and be notified
   of changes and updates which impact its configuration.  The
   objective is to define a means for automatically configuring a user
   agent such that it can be functional without user or administrative
   intervention.  The framework for discovery, delivery, notification
   and updates of user agent configuration is defined here.  This
   framework is also intended to ease ongoing administration,
   configuration and upgrading of large scale deployments of SIP user
   agents.  The contents and format of the configuration data to be
   defined is outside the scope of this document.

Thanks, Henry

> Sent: Friday, March 01, 2002 8:09 AM
> To: Alan Johnston; [email-masked]
> Cc: 'Bob Penfield'; 'Mark Taylor'; 'SIP'
> Subject: RE: Home Extension Service was Re: [Sip] Multiple 
> 200 OKs for an INVITE
> 
> 
> 
> 
> Thanks for the pointer. Looking at the call package draft 
> show the handling of the home extension case. The specific 
> contingency of multiple 200 OKs does not seem to have been 
> considered in that case but the techniques described there do 
> seem capable of handling that situation. I suppose that that 
> contingency isn't directly germane to the call package draft 
> but it is particularly important in any future description of 
> this service. I think that this shows that the situation of 
> baseline SIP phones and multiple 200 OKs is not as 
> straightforward as it seems. it looks as if even very cheap 
> SIP phones are going to have to be able handle subscribes and 
> local or network conference services for a significant number 
> of parties. This puts a different light on the matter of just 
> extension) is not yet in the Service Examples I-D.  This is 
> because not all the tools needed to do so are SIP WG items - 
> something that will hopefully change shortly.
> 
> > From: [email-masked] [mailto:[email-masked]] On Behalf Of 
> > [email-masked]
> OKs for an 
> pertinent for a 
> > home extension service.  Have the call flows for this service been 
> > created, I find in the service example draft a mention that 
> they have 
> > not. It also raises questions about who will supply and pay for a 
> > conference service to a home extension. Callers would be 
> hesitant to 
> > pay for a conference connection that was of benefit only to 
> the called 
> > party.
> >
> >
> >
> >
> >
> emabarassment to the 
> > > caller since his name and possibly picture have been 
> dispayed on the 
> > > receiving device. It could also be considered a form of criminal
> > harrassment to
> phone and 
> > say hello and noone is there because they decided the call was a 
> > mistake or got tired of waiting for it to answer. It happens to me 
> > quite often, particularly if I don't pick up for 3 or 4 rings.
> >
> the other 
> > branches when one of them answers. Therefore, the other unanswered 
> > phones would likely stop ringing with a second or two.
> >
> > You might consider it rude, but the reason that more than one phone 
> > rang is because a user wanted all those phones to ring when 
> he/she got 
> > called. The theory being that the user would answer the 
> phone he/she 
> > is next to and there would be noone next to the other devices. 
> > However, some polite person might decide they want to answer the 
> > user's unattended phone for them.
> >
> > >
> > This is not always possible, particularly on a small device with 
> > limited resources.
> >
> > cheers,
> > (-:bob
> >
> >
> > Use [email-masked] for questions on 
> current sip Use 
> > [email-masked] for new developments on the application of sip
> >
> >
> >
> >
> >
> > Use [email-masked] for questions on 
> current sip Use 
> > [email-masked] for new developments on the application of sip
> >
> 
> 
> 
> 
> 
>